<?php
/**
 *
 * @see http://tgmpluginactivation.com/configuration/ for detailed documentation.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Starter Blog Theme
 * @version    2.6.1 for parent theme Starter Blog for publication on WordPress.org
 * @author     Thomas Griffin, Gary Jones, Juliette Reinders Folmer
 * @copyright  Copyright (c) 2011, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/TGMPA/TGM-Plugin-Activation
 */
require_once get_template_directory() . '/inc/plugin-activation.php';

add_action( 'tgmpa_register', 'starter_blog_register_required_plugins' );

function starter_blog_register_required_plugins() {

	$plugins = array(
		array(
			'name'      => 'Ultimate Addons for Gutenberg',
			'slug'      => 'ultimate-addons-for-gutenberg',
			'required'  => false,
		),
	);

	$config = array(
		'id'           => 'starter-blog',          // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => 'Dismiss now',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => 'You are awesome! Thanks for using Starter Blog Theme',                      // Message to output right before the plugins table.
	);

	tgmpa( $plugins, $config );
}
